function love.load()
  -------------------------------|
  screenwidth = 1000
  screenheight = 800
  require "technicalstuff"

  ball.diam = 20
  ball.startspeed = 10

  --width and height
  p1.w = 5
  p2.w = 5
  p1.speed = 10
  p2.speed = 10
  -------------------------------|

  setmode = love.window.setMode(screenwidth, screenheight, {resizable=false, fullscreen = false, vsync=true})
end

------------------------------------------------------------------
------------------------------------------------------------------
------------------------------------------------------------------

function love.update()


  if time > 0 then time = time + 1 end

  if p1.score < p2.score then
    p1.h = 150
    p2.h = 80
  elseif p1.score > p2.score then
    p2.h = 150
    p1.h = 80
  elseif p1.score == p2.score then
    p2.h = 100
    p1.h = 100
  end

  --if reset is true, repositions the ball
  resetthegame()

  --ballspeed increases with time
  ball.speed = ball.startspeed + time/600

  --movement
  if love.keyboard.isDown("w") and not outOfBoundsTop(p1) then p1.y = p1.y - p1.speed end
  if love.keyboard.isDown("s") and not outOfBoundsBottom(p1) then p1.y = p1.y + p1.speed end

  if love.keyboard.isDown("up") and not outOfBoundsTop(p2) then p2.y = p2.y - p2.speed end
  if love.keyboard.isDown("down") and not outOfBoundsBottom(p2) then p2.y = p2.y + p2.speed end

  --initial launch
  launch(love.keyboard.isDown(" "))


  --ball rebounding
  ballRebounding()

  --scoring
  if ball.x < p1.x then p2.score = p2.score + 1 reset = true
    score:play()
  elseif ball.x > p2.x then p1.score = p1.score + 1 reset = true
    score:play()
  end

end

------------------------------------------------------------------
------------------------------------------------------------------
------------------------------------------------------------------

function love.draw()
  --set background color
  love.graphics.setBackgroundColor(0,0,0)

  --draw the score
  love.graphics.setColor(255,255,255)
  love.graphics.print(p2.score, screenwidth/2-10, screenheight/2, 0, 2, 2)
  love.graphics.print(p1.score, screenwidth/2+10, screenheight/2, 0, 2, 2)

  --draw player 1
  love.graphics.setColor(255, 255, 0);
  love.graphics.rectangle("fill",p1.x,p1.y-p1.h/2,p1.w,p1.h)

  --draw player 2
  love.graphics.setColor(0, 255, 255);
  love.graphics.rectangle("fill",p2.x,p2.y-p2.h/2,-p2.w,p2.h)

  --draw the ball
  love.graphics.setColor(255,255,255)
  love.graphics.rectangle("fill", ball.x-ball.diam/2, ball.y-ball.diam/2, ball.diam, ball.diam)



end
